> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cozmox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create workflow run with prospect

> Create a new workflow run with prospect creation in a single operation (API endpoint)



## OpenAPI

````yaml /openapi.yaml post /org/{org_id}/workflow-runs
openapi: 3.0.0
info:
  contact: {}
  title: Cozmo - API
  version: devel
servers:
  - url: https://v2-nova-api.prod.czmx.in/api
security:
  - BearerAuth: []
paths:
  /org/{org_id}/workflow-runs:
    post:
      tags:
        - Workflow Runs
      summary: Create workflow run with prospect
      description: >-
        Create a new workflow run with prospect creation in a single operation
        (API endpoint)
      operationId: createWorkflowRunWithProspect
      parameters:
        - description: Organization ID
          in: path
          name: org_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/workflow-batches.CreateWorkflowRunWithProspectRequest
        description: Workflow run details
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/workflow-batches.CreateWorkflowRunWithProspectResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
components:
  schemas:
    workflow-batches.CreateWorkflowRunWithProspectRequest:
      properties:
        prospect:
          $ref: '#/components/schemas/workflow-batches.ProspectDataForWorkflow'
        scheduled_at:
          type: string
        workflow_id:
          type: string
      required:
        - prospect
        - workflow_id
      type: object
    workflow-batches.CreateWorkflowRunWithProspectResponse:
      properties:
        external_id:
          type: string
        workflow_run_id:
          type: string
      type: object
    helper.ResponseError:
      properties:
        data: {}
        error: {}
        message:
          type: string
        status:
          type: boolean
      type: object
    workflow-batches.ProspectDataForWorkflow:
      properties:
        country:
          type: string
        custom_data:
          additionalProperties: true
          type: object
        email:
          type: string
        external_id:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        phone:
          type: string
        timezone:
          type: string
      required:
        - phone
      type: object
  securitySchemes:
    BearerAuth:
      type: apiKey
      in: header
      name: X-API-Key

````